summary.rollcall {pscl} | R Documentation

## summarize a rollcall object

### Description

Provides a summary of the information about votes, legislators, etc in a `rollcall` object.

### Usage

    ## S3 method for class 'rollcall'
    summary(object,
                     dropList=NULL,
                     verbose=FALSE,debug=FALSE,...)

    ## S3 method for class 'summary.rollcall'
    print(x, digits=1, ...)

### Arguments

`object` | an `rollcall` object.
`dropList` | a `list` or `alist`, listing voting decisions, legislators and/or votes to be dropped from the summary; see `dropRollCall` for details.
`verbose` | logical, if `TRUE`, compute legislator-specific and vote-specific Yea/Nay/`NA` summaries
`debug` | logical, if `TRUE`, print messages to console during processing of the `rollcall` object
`x` | an object of class `summary.rollcall`
`digits` | number of decimal places in printed display
`...` | further arguments passed to or from other methods.

### Value

An object of class `summary.rollcall` with the following elements (depending on the logical flag `verbose`):

`n` | number of legislators in the `rollcall` object, after processing the `dropList`
`m` | number of roll call votes in the `rollcall` object, after processing the `dropList`
`codes` | a `list` that describes how the voting decisions in the `rollcall` matrix (`object$votes`) map into “Yea” and “Nay” etc, after processing the `dropList`; see `rollcall` for more details
`allVotes` | a matrix containing a tabular breakdown of all votes in the `rollcall` matrix (`object$votes`), after processing the `dropList`
`partyTab` | a tabular breakdown of the legislators' party affiliations, after processing the `dropList`, and only if party affiliations are supplied as`object$legis.data$party`; see `rollcall` for details
`lopSided` | a tabular summary of the frequency of lop-sided roll call votes in the `rollcall` object, again, after processing the `dropList`
`legisTab` | a tabular summary of each legislators' voting history
`partyLoyalty` | the proportion of times that each legislator votes the way that a majority of his or her fellow partisans did, provided party affiliations are available
`voteTab` | a tabular summary of each rollcall's votes
`call` | the `matched call` used to invoke `summary.rollcall`

### See Also

`rollcall`

### Examples

    set.seed(314159265)
    fakeData <- matrix(sample(x=c(0,1),size=1000,replace=TRUE),
                       10,100)
    rc <- rollcall(fakeData)
    rc

    data(sc9497)
    rc <- rollcall(sc9497)
    summary(rc)

    data(s109)
    summary(s109)
    summary(s109,verbose=TRUE)

[Package pscl version 1.5.2 Index]